CVE-2016-3168 Details

CVE-2016-3168

Published: 2016-04-12
Last Modified: 2016-04-14
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

The System module in Drupal 6.x before 6.38 and 7.x before 7.43 might allow remote attackers to hijack the authentication of site administrators for requests that download and run files with arbitrary JSON-encoded content, aka a "reflected file download vulnerability."

Analysis
Common Vulnerability Score System v2.0
Severity High
Base Score 8.5/10
Exploit Score 6.8/10
Access Vector Network
Access Complexity Medium
Authentication Single
Impact Score 10/10
Confidentiality Impact Complete
Availability Impact Complete
Integrity Impact Complete
Vector String AV:N/AC:M/Au:S/C:C/I:C/A:C
Common Vulnerability Score System v3.1
Severity Medium
Base Score 6.4/10
Exploit Score 0.5/10
Access Vector Network
Access Complexity High
Privileges Required High
Impact Score 5.9/10
Confidentiality Impact High
Availability Impact High
Integrity Impact High
Scope Unchanged
User Interaction Required
Vector String CVSS:3.0/AV:N/AC:H/PR:H/UI:R/S:U/C:H/I:H/A:H
Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:drupal:drupal:6.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:beta1:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:beta2:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:beta3:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:beta4:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:dev:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:rc1:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:rc2:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:rc3:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.0:rc4:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.4:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.5:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.6:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.7:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.8:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.9:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.10:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.11:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.12:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.13:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.14:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.15:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.16:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.17:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.18:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.19:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.20:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.21:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.22:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.23:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.24:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.25:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.26:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.27:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.28:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.29:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.30:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.31:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.32:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.33:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.34:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.35:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.36:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:6.37:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha1:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha2:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha3:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha4:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha5:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha6:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:alpha7:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:beta1:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:beta2:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:beta3:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:dev:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:rc1:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:rc2:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:rc3:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.0:rc4:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.1:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.2:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.3:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.4:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.5:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.6:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.7:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.8:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.9:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.10:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.11:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.12:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.13:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.14:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.15:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.16:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.17:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.18:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.19:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.20:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.21:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.22:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.23:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.24:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.25:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.26:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.27:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.28:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.29:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.30:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.31:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.32:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.33:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.34:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.35:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.36:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.37:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.38:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.40:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.41:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.42:*:*:*:*:*:*:* Yes - -
cpe:2.3:a:drupal:drupal:7.x-dev:*:*:*:*:*:*:* Yes - -
cpe:2.3:o:debian:debian_linux:7.0:*:*:*:*:*:*:* Yes - -
cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:* Yes - -
References

http://www.debian.org/security/2016/dsa-3498
http://www.openwall.com/lists/oss-security/2016/02/24/19
http://www.openwall.com/lists/oss-security/2016/03/15/10
https://www.drupal.org/SA-CORE-2016-001

CVE ID
CVE-2016-3168
Published
2016-04-12
Modified
2016-04-14
CVSSv2.0
High
CVSSv3.1
Medium
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-254

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.